# Search

## GET /search/v5

> Search Services V5

```json
{"openapi":"3.0.0","info":{"title":"ToS;DR API","version":"1.0.0"},"servers":[{"url":"https://api.tosdr.org","description":"Production server"},{"url":"https://api.staging.tosdr.org","description":"Staging server"}],"paths":{"/search/v5":{"get":{"summary":"Search Services V5","tags":["Search"],"parameters":[{"name":"query","in":"query","required":true,"description":"Search query string (e.g., facebook)","schema":{"type":"string"}},{"name":"Accept","in":"header","required":false,"description":"Expected content type","schema":{"type":"string","deprecated":false}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","properties":{"services":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Unique ID of the service"},"is_comprehensively_reviewed":{"type":"boolean","description":"Indicates if the service has a comprehensive review"},"urls":{"type":"array","items":{"type":"string","description":"URL associated with the service"}},"name":{"type":"string","description":"Name of the service"},"updated_at":{"type":"string","format":"date-time","description":"Last update timestamp"},"created_at":{"type":"string","format":"date-time","description":"Creation timestamp"},"slug":{"type":"string","description":"URL-friendly identifier for the service"},"rating":{"type":"string","description":"Service's privacy rating (e.g., N/A, A, E)"}}}}}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"detail":{"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorItem"}}}},"ValidationErrorItem":{"type":"object","properties":{"loc":{"type":"array","items":{"type":"string"}},"msg":{"type":"string"},"type":{"type":"string"}}}}}}
```

## GET /search/v4

> Search Services V4

```json
{"openapi":"3.0.0","info":{"title":"ToS;DR API","version":"1.0.0"},"servers":[{"url":"https://api.tosdr.org","description":"Production server"},{"url":"https://api.staging.tosdr.org","description":"Staging server"}],"paths":{"/search/v4":{"get":{"summary":"Search Services V4","tags":["Search","Deprecated"],"parameters":[{"name":"query","in":"query","required":true,"description":"Search query string (e.g., facebook)","schema":{"type":"string"}},{"name":"Accept","in":"header","required":false,"description":"Expected content type","schema":{"type":"string","deprecated":false}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"integer"},"message":{"type":"string"},"parameters":{"type":"object","properties":{"services":{"type":"array","items":{"$ref":"#/components/schemas/ServiceV4"}}}}}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}}}}}},"components":{"schemas":{"ServiceV4":{"type":"object","properties":{"id":{"type":"string","description":"Unique ID of the service"},"is_comprehensively_reviewed":{"type":"boolean","description":"Indicates if the service has a comprehensive review"},"urls":{"type":"array","items":{"type":"string"}},"name":{"type":"string"},"status":{"type":"string"},"updated_at":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"},"slug":{"type":"string"},"wikipedia":{"type":"string","format":"uri"},"rating":{"$ref":"#/components/schemas/RatingV4"},"links":{"type":"object","properties":{"phoenix":{"$ref":"#/components/schemas/LinkCategory"},"crisp":{"$ref":"#/components/schemas/LinkCategory"}}}}},"RatingV4":{"type":"object","properties":{"hex":{"type":"string"},"human":{"type":"string"},"letter":{"type":"string"}}},"LinkCategory":{"type":"object","properties":{"service":{"$ref":"#/components/schemas/LinkValue"},"documents":{"$ref":"#/components/schemas/LinkValue"},"new_comment":{"$ref":"#/components/schemas/LinkValue"},"edit":{"$ref":"#/components/schemas/LinkValue"},"api":{"$ref":"#/components/schemas/LinkValue"},"badge":{"$ref":"#/components/schemas/LinkValue"}}},"LinkValue":{"type":"object","properties":{"value":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"detail":{"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorItem"}}}},"ValidationErrorItem":{"type":"object","properties":{"loc":{"type":"array","items":{"type":"string"}},"msg":{"type":"string"},"type":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tosdr.org/developer/tos-dr-developers/search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
